terraform {
  backend "local" {
    path = "${var.HOME}/Nextcloud/tofu/terraform.tfstate"
  }
}

module "lxc" {
  source = "./proxmox_lxc_container"

  for_each = var.lxc_containers

  server_name      = each.key
  server_desc      = each.value.server_desc
  ip_suffix        = each.value.ip_suffix
  cpu_cores        = each.value.cpu_cores
  memory_dedicated = each.value.memory_dedicated
  debian_tmpl      = each.value.debian_tmpl
  tags             = each.value.tags
  unprivileged     = each.value.unprivileged
  started          = each.value.started
  start_on_boot    = each.value.start_on_boot
  disk             = each.value.disk
  features         = each.value.features
}
