variable "cpu_cores" {
  description = "Number of CPUs for the server"
  type        = number
  default     = 1
}

variable "start_on_boot" {
  description = "Shall the VM start at boot?"
  type        = bool
  default     = false
}

variable "started" {
  description = "Shall the VM be started?"
  type        = bool
  default     = true
}

variable "memory_dedicated" {
  description = "RAM quantity"
  type        = number
  default     = 256
}

variable "server_name" {
  description = "Name of the server"
  type        = string
}

variable "server_desc" {
  description = "Description of the server"
  type        = string
}

variable "tags" {
  description = "Tags to be associated to the VM"
  type        = list(string)
  default     = []
}

variable "features" {
  description = "Proxmox Container Features"
  type = object({
    nesting = bool
    fuse    = bool
    keyctl  = bool
    mount   = list(string)
  })
  default = {
    nesting = true
    fuse    = null
    keyctl  = null
    mount   = null
  }
}

variable "unprivileged" {
  description = "Unprivileged LXC container"
  type        = bool
  default     = true
}

variable "ip_suffix" {
  description = "IP suffix"
  type        = number
}

variable "disk" {
  description = "Size and type of disk"
  type = list(object({
    path = string
    size = string
  }))
  default = []
}

variable "debian_tmpl" {
  description = "Debian template to use"
  type        = string
  default     = "local:vztmpl/debian-12-standard_12.7-1_amd64.tar.zst"
  ## other possible value
  # "local:vztmpl/debian-11-standard_11.7-1_amd64.tar.zst"
}
