variable "HOME" {
  type = string
}

variable "lxc_containers" {
  description = "Complete declarative description of a machine"
  type = map(object({
    server_desc      = string
    ip_suffix        = number
	cpu_cores        = optional(number, 1)
    memory_dedicated = optional(number, 256)
    tags             = optional(list(string), [])
    unprivileged     = optional(bool, true)
    started          = optional(bool, true)
    start_on_boot    = optional(bool, false)
	debian_tmpl      = optional(string, "local:vztmpl/debian-12-standard_12.7-1_amd64.tar.zst")
    disk = optional(list(object({
      path = string
      size = string
    })), [])
    features = optional(object({
      nesting = bool
      fuse    = bool
      keyctl  = bool
      mount   = list(string)
      }),
      {
        nesting = true
        fuse    = null
        keyctl  = null
        mount   = null
    })
  }))
}
